__uio_register_device
Prev | Userspace IO devices | Next

## Name

__uio_register_device — register a new userspace IO device

## Synopsis

`int __uio_register_device (` | struct module * | owner,
| struct device * | parent,
| struct uio_info * | info`)`;

## Arguments

`owner`

  module that creates the new device

`parent`

  parent device

`info`

  UIO device capabilities

## Description

returns zero on success or a negative error code.

Prev | Up | Next
uio_event_notify | Home | uio_unregister_device